package com.sun.corba.se.impl.legacy.connection;

import com.sun.corba.se.spi.legacy.connection.LegacyServerSocketEndPointInfo;
import com.sun.corba.se.spi.transport.SocketInfo;

public class EndPointInfoImpl implements SocketInfo, LegacyServerSocketEndPointInfo
{
    protected String type;
    protected String hostname;
    protected int port;
    protected int locatorPort;
    protected String name;
    
    public EndPointInfoImpl(String type, int port, String hostname) {
        this.type = type;
        this.port = port;
        this.hostname = hostname;
        this.locatorPort = -1;
        this.name = "NO_NAME";
    }
    
    public String getType() {
        return this.type;
    }
    
    public String getHost() {
        return this.hostname;
    }
    
    public String getHostName() {
        return this.hostname;
    }
    
    public int getPort() {
        return this.port;
    }
    
    public int getLocatorPort() {
        return this.locatorPort;
    }
    
    public void setLocatorPort(int locatorPort) {
        this.locatorPort = locatorPort;
    }
    
    public String getName() {
        return this.name;
    }
    
    @Override
    public int hashCode() {
        return this.type.hashCode() ^ this.hostname.hashCode() ^ this.port;
    }
    
    @Override
    public boolean equals(Object o) {
        if (!(o instanceof EndPointInfoImpl)) {
            return false;
        }
        EndPointInfoImpl endPointInfoImpl = (EndPointInfoImpl)o;
        if (this.type == null) {
            if (endPointInfoImpl.type != null) {
                return false;
            }
        }
        else if (!this.type.equals(endPointInfoImpl.type)) {
            return false;
        }
        return this.port == endPointInfoImpl.port && this.hostname.equals(endPointInfoImpl.hostname);
    }
    
    @Override
    public String toString() {
        return this.type + " " + this.name + " " + this.hostname + " " + this.port;
    }
}
